#ifndef FREQSWITCHER_H
#define FREQSWITCHER_H

#include <QObject>

#include "device/DeviceBase.h"
#include "protocol/FreqSwitcherProtocolBM.h"

class FreqSwitcher : public DeviceBase
{
    Q_OBJECT
public:
    explicit FreqSwitcher(QObject *parent = nullptr);
    ~FreqSwitcher();

    void afterFramePhase(DeviceFrameBaseDto * frameDto);

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);

public slots:
    void dataReceivedHandler(QByteArray data);
};

#endif // FREQSWITCHER_H
